<app-loading *ngIf="isLoading"></app-loading>
<div nz-col nzSpan="12" class="btn-fixed-right">
  <mb-button *ngIf="objFunction?.create" mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="create()" mbButtonAvailableStyle="PRIMARY"
             mbButtonText="{{'common.button.add' | translate}}"></mb-button>
</div>
<div class='app-card'>
  <form nz-form [formGroup]="searchForm">
    <div class="app-row" nz-row [nzGutter]="[30, 0]">
      <div nz-col nzXs="12" nzLg="8">
        <mb-input-text formControlName="rrcCode"
                       mbPlaceholderText="{{'reports.reportCategory.rrcCode' | translate}}"
                       mbLabelText="{{'reports.reportCategory.rrcCode' | translate}}">
        </mb-input-text>
      </div>
      <div nz-col nzXs="12" nzLg="8">
        <mb-input-text formControlName="rrcName"
                       mbPlaceholderText="{{'reports.reportCategory.rrcName' | translate}}"
                       mbLabelText="{{'reports.reportCategory.rrcName' | translate}}">
        </mb-input-text>
      </div>
      <div nz-col nzXs="12" nzLg="8">
        <mb-input-text formControlName="reportPath"
                       mbPlaceholderText="{{'reports.reportCategory.reportPath' | translate}}"
                       mbLabelText="{{'reports.reportCategory.reportPath' | translate}}">
        </mb-input-text>
      </div>
      <div nz-col nzXs="12" nzLg="8">
        <mb-select [mbDataSelects]="listReportGroup" mbKeyLabel="rrgName" mbKeyValue="id"
                   mbPlaceholder="{{'reports.reportCategory.rrgId' | translate}}"
                   mbLabelText="{{'reports.reportCategory.rrgId' | translate}}"
                   formControlName="rrg"></mb-select>
      </div>
      <div nz-col nzXs="12" nzLg="8">
        <mb-select [mbDataSelects]="listStatus"
                   mbPlaceholder="{{'reports.reportCategory.flagStatus' | translate}}"
                   mbLabelText="{{'reports.reportCategory.flagStatus' | translate}}"
                   formControlName="flagStatus"></mb-select>
      </div>

      <div nz-col nzXs="24" nzLg="24" class="button-search">
        <mb-button mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="search(1)"
                   mbButtonAvailableStyle="SEARCH" mbButtonText="{{'common.label.search' | translate}}">
        </mb-button>
      </div>
    </div>
  </form>
</div>

<div class="app-list report-table">
  <mb-table-merge-cell-wrap>
    <mb-table-merge-cell
      (changePageNum)="search($event)"
      [tableConfig]="tableConfig"
      [dataList]="listData"
      [isScrollHeight]="true"
      nzScrollHeight="39vh"
    ></mb-table-merge-cell>
  </mb-table-merge-cell-wrap>
</div>

<!--Hành động-->
<ng-template #actionTmpl let-id='id'>
  <mb-button-icon *ngIf="objFunction?.edit" mbButtonType="EDIT" (click)="update(id)"> </mb-button-icon>
  <mb-button-icon *ngIf="objFunction?.delete" mbButtonType="DELETE" (click)="delete(id)"> </mb-button-icon>
</ng-template>
<!--End: Hành động-->

<ng-template #statusTmpl let-flagStatus='flagStatus'>
  <ng-container *ngFor='let item of constant.REPORT_STATUS'>
    <nz-tag [nzColor]="item.bgColor" [ngStyle]="{'color': item.color}" *ngIf='flagStatus === item.value'>{{item.label | translate}}</nz-tag>
  </ng-container>
</ng-template>
